body
{
    --width: 1280px;
    --height: 800px;
    --min-height: 92px;
    --width_sort: 150px;
    --height_sort: 92px;
    background-color: #EADCD9;
    background-image: url(/katia/webring/parts/imgs/templ020_bg.png);
    background-repeat: repeat-y;
}
main
{
	position:relative;
	display:grid;
	grid-template-areas: 
		"imgsList hOne bigImg"
		"imgsList hOne text"
        "imgsList hOne contactsWrapper"
        "imgsList hOne sotialWrap";
	grid-template-columns: 350px 210px auto;
    grid-gap: 0.1em;
	padding:0;
    overflow: hidden;
}
h1
{
	display: grid;
	justify-content: start;
}
h1>.tox-tinymce
{
    min-height: 85vh !important;
}
.h1_block_center button > .cont_adm_top_btn_text >.bnt_ico_1_text 
{
    width: 1px !important;
    opacity: 0 !important;
}
.h1_block_center button > .cont_adm_top_btn_text{grid-template-columns: 0 auto !important;}
.h1_block_center>.RN-wrapper>.RN-txtarea
{
    writing-mode: vertical-rl;
    display: grid;
    align-items: center;
    background-color: #f9f9f912;
}
.h1_block_center>.RN-wrapper
{
    display: inline-grid;
    justify-content: space-around;
}
.h1_block_center>.RN-wrapper>.text_containet_btn
{
    margin-bottom: -1em;
    display: grid;
    justify-content: end;
}
.h1_block_center>.RN-wrapper>#RN-save
{
    text-align: center;
    padding-right: 0;
    margin-top: 0px;
}
.h1_text
{
     writing-mode: vertical-rl;
}
.title
{
 height: 100%;
}
.gal_fix_size
{
 	width: var(--width);
    height: var(--height);
}
.gal_border
{
    width: var(--width);
    height: var(--height) !important;
}
.gal_block_dot
{
    border: 1px dashed #6a6a6a;
    border-left: none;
}
.gal_border_top
{
    background-image: url(/katia/webring/parts/imgs/templ020_bg_img.png);
    background-repeat: no-repeat;
    background-position: top;
    position: absolute;
    z-index: 10;
    width: var(--width);
    height: var(--height);
}
.gal_border_bottom
{
    background-image: url(/katia/webring/parts/imgs/templ020_bg_img.png);
    background-repeat: no-repeat;
    position: absolute;
    z-index: 11;
    width: var(--width);
    height: var(--height);
    transform: rotate(180deg);
}
.gal_border_right
{
    background-image: url(/katia/webring/parts/imgs/templ020_bg_img_vert.png);
    background-repeat: no-repeat;
    background-position: right;
    position: absolute;
    z-index: 12;
    width: var(--width);
    height: var(--height);
}
.gal_fix_size_small
{
  /*  width: var(--width); */
}
.gal_img_add_prew
{
    display: block;
    height: 100%;
    align-items: center;
    justify-items: center;
    cursor: pointer;
    position: relative;
    z-index: 100;
}
.gal_small_img_yes_width
{
	width: var(--width_sort)!important;
	min-height: var(--height_sort)!important;
}
.modal_sort_images>.gal_small_img_tab {grid-template-columns: 1fr 1fr 1fr 1fr 1fr;}
.gal_small_img_tab
{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 0.5em;
    grid-row-gap: 0;
    justify-items: center;
    padding: 1em 0.5em 0 0.5em;
}
.gal_small_img_no
{
    background-color: #ffffffe8;
    display: grid;
    background-image: url("data:image/svg+xml;utf8,<svg width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><rect width='100%' height='100%' style='fill: none; stroke: gray; stroke-width: 2; stroke-dasharray: 7 7'/></svg>");
    align-items: center;
    justify-items: center;
    min-height: var(--min-height);
    width: var(--width_sort);
    transition: 300ms;
    cursor: pointer;
    box-shadow: 3px 3px 10px -3px #3f3f3f;
    margin-bottom: 1em;
}
.gal_small_img_yes
{
    border: 2px #ffffff solid;
    background-size: 100%;
    min-height: var(--min-height);
    width: var(--width_sort);
	position:relative;
    user-select: none;
    cursor: pointer;
    box-shadow: 3px 3px 10px -3px #3f3f3f;
    margin-bottom: 1em;
}
.gal_block_dot_small_img {
    border: 1px dashed #6a6a6a;
	margin: 0 0 0 3em;
	width: auto;
	padding-bottom: 10px;
}
.gal_block_small_img_client 
{
}

.sotialWrap
{

}
.sotialWrap_block
{
	width: 100%;
}
.soc_adm_soc
{
	padding: 0.5em 0.5em 0 0.5em;
	display: grid;
    justify-items: center;
}
.soc_adm_mes
{
 	padding: 0.5em 0.5em 0 0.5em;
 	display: grid;
    justify-items: center;
}
.imgsList
{
	grid-area: imgsList;
}
.imgsList_setup
{
	margin-left: 0;
	overflow: hidden;
	justify-content: flex-end;
    max-width: 73em;
    margin-top: 1em;
}
.bigImg
{
	grid-area: bigImg;
	height: var(--height);
}
.bigImg_setup
{
	display: flex;
    width: var(--width);
}
.imgItemWrap
{
	border: 2px #e2e2e2 solid;
	overflow: hidden;
}
.h1_block
{
	grid-area: hOne;
	display: grid;
    grid-template-columns: auto 1fr auto;
    margin: 0;
    padding: 1em 0.5em;
    background: linear-gradient(to left, #1169B9, #75A4CC);
    border-left: 1px #fff solid;
    border-right: 1px #fff solid;
}
.h1_block_center
{
    writing-mode: vertical-rl;
    display: grid;
    align-items: center;
    line-height: 1.4;
}
.h1_block_center>h1
{
	/*transform: rotate(-90deg);*/
    /*display: inline-grid;*/
	/*padding: 1em;*/
	/*background-color: #ffffff4a;*/
}
h1{margin:0;}

.contactsWrapper
{
	grid-area: contactsWrapper;
	margin: 0;
    width: auto;
	margin-top: 2em;
    margin-bottom: 2em;
}

.links
{
	grid-area: links;
	width:100%;
	z-index:0;
	margin:0;
	padding: 10px 0 10px 5%;
}

.text
{
	grid-area: text;
    width: auto;
    text-align: justify;
    padding: 1em;
    margin: 0.5em 1em 0.5em 1em;
}
.text::-webkit-scrollbar { width: 0; }

.text { -ms-overflow-style: none; }

.text { overflow: -moz-scrollbars-none; }


.links>div
{
	display: flex;
	height: 100%;
    align-items: center;
	justify-content:center;
}

.links>div>div
{
	width:25%;
	background-color:var(--main-bg-color);
	height: 100%;
    align-items: center;
    display: flex;
    justify-content: center;
	position:relative;
}

.links>div>div:first-child:before
{
	content:'';
	width: 0;
    height: 0;
    border-bottom: 70px solid var(--main-bg-color);
    border-left: 40px solid transparent;
    left: 0;
    position: relative;
	transform: translateX(-100%);
	position:absolute;
}

.links>div>div:last-child:before
{
	content:'';
	width: 0;
    height: 0;
    border-top: 70px solid var(--main-bg-color);
    border-right: 40px solid transparent;
    right: 0;
    position: absolute;
	transform: translateX(100%);
}

.links>div>div>a
{
	color:black;
}

.contactItem
{
	width: 25%;
	background-color:var(--main-bg-color);
	position:relative;
}

.contactItem:first-child:before
{
	content: '';
    width: 100px;
    height: 100%;
    background-color: var(--main-bg-color);
    transform: skew(-20deg, 0deg);
    left: -25px;
    position: absolute;
    top: 0;
    z-index: -1;
}

.contactItem:last-child:before
{
	content: '';
    width: 100px;
    height: 100%;
    background-color: var(--main-bg-color);
    transform: skew(-20deg, 0deg);
    right: -25px;
    position: absolute;
    top: 0;
    z-index: -1;
}

.contactItem>div
{
	display:block;
}

.bold 
{
	width:100%;
	padding:0;
}



.imgItem
{
    /*height: 100px;
    object-fit: cover; 
    width: 100%;
    margin-bottom: -11px;
    */
}

.imgsList_setup:before
{
	display:none;
}
.sotialWrap>.sotial
{
	justify-content:center;
}

figure.zoom, #myimage
{
	height: 100%;
}

@media screen and (max-width: 1000px)
{
	.links
	{
		height: 80%;
	}
	
	.contactsWrapper
	{
		height: 100%;
	}
}

.imgItem{
	transition: transform 1s linear;
    -webkit-transform: rotateY(360deg);
    transform: rotateY(360deg);
}



@keyframes slidein {
  from {
    margin-left: 100%;
  }

  to {
    margin-left: 0%;
  }
}

.divL,.divR
{
	position: absolute;
    top: 0;
    bottom: 0;
    width: 20%;
    height: 100%;
	z-index:100;
	cursor:pointer;
}

.divL
{
	left:0;
}

.divR
{
	right:0;
}

.divL:hover,.divR:hover
{
	background-color:black;
	opacity:0.3;
}
.bigImgItem_def
{
	display: grid;
    align-items: center;
}
.bigImgItem_def img {height: 15em;}
.bigImgItem:hover ~.img-zoom-result
{
	display:none;
}

@media screen and (max-width: 1300px)
{
	.contactsWrapper:before, .contactsWrapper:after
	{
		content:none;
	}
}


.cont_adm_block
{
    display: block;
    padding: 0.5em;
    margin: 0 1em;
}
.cont_adm_tab
{
    display: grid;
    grid-template-columns: auto auto auto;
    padding: 1em;
    grid-row-gap: 1em;
    grid-column-gap: 1em;
    background-color: #fff;
    border-radius: 1em;
}
.cont_adm_center
{
    display: grid;
    height: 100%;
}
.adm_con_2cell
{
    display: grid;
    grid-template-columns: 70px auto;
    align-items: center;
}
.adm_con_2cell_1
{
    height: 68px;
    border-right: 2px solid #49515c;
    display: grid;
    align-items: center;
    justify-items: center;
}
.adm_con_2cell_1 img
{
    height: 45px;
}
.adm_con_2cell_2
{
    text-align: left;
    padding: 0em 1em;
}
.block_btn_top_right_cell_1
{
    position: relative;
    display: grid;
    grid-template-columns: auto 30px;
    grid-column-gap: 0.3em;
    margin: -0.5em -0.5em -1em 0;
}
.block_btn_top_right_cell_2
{
    position: relative;
    display: grid;
    grid-template-columns: auto 30px 30px;
    grid-column-gap: 0.3em;
    margin: -0.5em 0 -1.2em 0;
}
.block_btn_top_right_cell_2_gal
{
    position: relative;
    display: grid;
    grid-template-columns: auto 30px 30px;
    grid-column-gap: 0.5em;
    margin: -0.7em -0.7em 0 0;
}
.left_corner
{
    display: none;
}
.right_corner
{
    display: none;
}
.soc_adm_block
{
    display: grid;
    grid-template-columns: auto auto;
    margin-bottom: 1em;
}
.gal_btn_tab
{
    display: inline-grid;
    grid-template-columns: auto;
    grid-column-gap: 1em;
    grid-row-gap: 0.5em;
    margin: 0.5em 0em 0em;
}
.cont_adm_top_btn
{
	margin-right: 1em !important;
}
.contactsWrapper_off {display: none;}
@media (max-width: 1850px){body{--width: 1230px; --height: 757px;}}
@media (max-width: 1800px){body{--width: 1180px; --height: 726px;}}
@media (max-width: 1750px){body{--width: 1130px; --height: 695px;}}
@media (max-width: 1700px){body{--width: 1080px; --height: 665px;}}
@media (max-width: 1650px){body{--width: 1030px; --height: 634px;}}
@media (max-width: 1600px){body{--width: 980px; --height: 603px;}}
@media (max-width: 1550px){body{--width: 930px; --height: 572px;}}
@media (max-width: 1500px){body{--width: 880px; --height: 542px;}}
@media (max-width: 1450px)
{
    body{--width: 830px; --height: 511px;}
    .cont_adm_tab{grid-template-columns: auto;}
}
@media (max-width: 1400px){body{--width: 780px; --height: 480px;}}
@media (max-width: 1350px)
{
    body{--width: 780px; --height: 480px; --min-height: 77px; --width_sort: 125px; --height_sort: 77px;}
    main{grid-template-columns: 300px 210px auto;}
    .text{padding: 0.5em;}
}
@media (max-width: 1300px){body{--width: 730px; --height: 449px;}}
@media (max-width: 1250px)
{
    body{--width: 780px; --height: 480px;} 
    .gal_small_img_tab{grid-template-columns: 1fr;}
    main{grid-template-columns: 190px 210px auto;}
}
@media (max-width: 1200px){body{--width: 730px; --height: 448px;}}
@media (max-width: 1150px){body{--width: 680px; --height: 417px;}}
@media (max-width: 1100px){body{--width: 630px; --height: 386px;}}
@media (max-width: 1050px){body{--width: 580px; --height: 356px;}}

@media (max-width: 995px)
{
    body
    {
    --width: 730px;
    --height: 444px;
    --min-height: 86px;
    --width_sort: 140px;
    --height_sort: 86px;
    }
    main
    {
    position:relative;
    display:grid;
    grid-template-areas: 
        "hOne"
        "bigImg"
        "imgsList"
        "text"
        "contactsWrapper"
        "sotialWrap";
    grid-template-columns: auto;
    grid-gap: 0.1em;
    padding:0;
    overflow: hidden;
    }
    .h1_block_center>.RN-wrapper>.RN-txtarea{writing-mode: horizontal-tb;}
    .h1_block_center>.RN-wrapper>#RN-save{text-align: right; padding-right: 1em;}
    .h1_block_center>.RN-wrapper{display: block;}
    .h1_block_center{writing-mode: horizontal-tb;}
    .h1_block{background: linear-gradient(to bottom, #1169B9, #75A4CC);}
    h1>.tox-tinymce{min-height: auto !important;}
    .gal_block_dot{border-left: 1px dashed #6a6a6a;}
    .gal_border_top, .gal_border_right, .gal_border_bottom, .gal_border_left{display: none;}
    .gal_small_img_tab{grid-template-columns: repeat(5, 1fr);}
    .bigImg{display: grid; justify-items: center; margin-top: 1em;}
    .gal_block_dot{margin: 0;}
    .btn-left-right{width: 1em; margin-top: 2.5em;}
    .imgIconsWrapper2{display: none;}
}
@media (max-width: 850px)
{
    .gal_small_img_tab{grid-template-columns: repeat(4, 1fr);}
    .modal_sort_images>.gal_small_img_tab{grid-template-columns: 1fr 1fr 1fr 1fr;}
}
@media (max-width: 750px)
{
    .gal_small_img_tab{grid-template-columns: repeat(3, 1fr);}
    .modal_sort_images>.gal_small_img_tab{grid-template-columns: 1fr 1fr 1fr;}
    body{--width: 580px; --height: 351px;}
}
@media (max-width: 600px)
{
    .gal_small_img_tab{grid-template-columns: repeat(2, 1fr);}
    .modal_sort_images>.gal_small_img_tab{grid-template-columns: 1fr 1fr;}
    body{--width: 380px; --height: 226px;}
}
.RN-table th {
    background-color: #f2f2f2;
}